앱 유저 관리 API Endpoints
🔔 최신화 일자: 2026-06-16
nachocode 앱 유저 관리 API를 활용하여 회원 상태를 관리 할 수 있습니다.
이 문서에서는 API 사용법, 요청/응답 형식, 에러 케이스 등을 다룹니다.
공지
앱 유저 API는 비즈니스 멤버십 이상부터 사용 가능한 API로 nachocode 문의를 통해 기능 활성화가 가능합니다.
- 이메일 문의: support@nachocode.io
- 채팅 문의: https://nachocode.channel.io
[DELETE] /api/app-user/v2
설명
- SDK의
setUserId()또는registerPushToken()을 통해 등록된 유저와 저장된 모든 토큰의 매핑을 제거합니다. - 저장된 모든 디바이스 설정 또는 유저 동의 여부를 초기화합니다.
- 앱 환경이 아닌 환경에서 회원 탈퇴가 이뤄진 상황에 사용하기 적합합니다.
Request
-
Header
Parameter Type Required Description x-api-key string✔ API 키 x-secret-key string✔ Secret 키 -
Body
Parameter Type Required Constraints Description userId string | number✔ 삭제(탈퇴) 처리 할 유저의 ID -
Example
curl -X POST "https://app.nachocode.io/api/app-user/v2" \-H "Content-Type: application/json" \-H "x-api-key: API_KEY_VALUE" \-H "x-secret-key: SECRET_KEY_VALUE" \-d '{ "userId": "USER_ID_VALUE" }'
Response
-
Success Response
-
Property
Properties Type Description status numberHTTP 응답 상태 코드 (200) response { message: string }요청 성공 문자열 -
Example
{ "message": "User withdrawal process successfully executed." }
-
-
Error Response
-
에러코드
이 외 에러코드는 공통 에러코드 명세에서 확인 가능합니다.ErrorCode Status Code Message Description ERR-AB-ACS-21 403 This app is unable to handle user preference. 앱 유저 관리 기능 사용 불가 ERR-AB-ACS-22 410 User already withdrawn. 이미 탈퇴처리된 유저
Error Response
-
Property
Parameter Type Description statusCode number상태 코드 path string요청 경로 code string에러 코드 message string에러 메세지 -
Example
{"statusCode": 410,"path": "/api/app-user/v2","code": "ERR-AB-ACS-22","message": "User already withdrawn."}
공통 에러코드
샌드박스 혹은 운영환경에서 아래에 명세되지 않은 에러 코드를 수신받을 경우 나쵸코드로 문의해주세요.
| ErrorCode | StatusCode | Message | Description |
|---|---|---|---|
| ERR-AB-VAL-00 | 400 | Incorrect request. Server cannot understand request. | 요청 Body 데이터가 잘못된 경우 |
| ERR-AB-SGK-11 | 400 | Secret key not found. | Secret Key가 전달되지 않았을 경우 |
| ERR-AB-SGK-13 | 401 | Incorrect secret key. | 유효하지 않은 Secret Key |
| ERR-AB-KSY-11 | 400 | Required parameters missing. | API Key가 전달되지 않았을 경우 |
| ERR-AB-KSY-13 | 404 | Provided key information not found. Please check your key again. | 유효하지 않은 API Key |
| ERR-AB-AGK-11 | 400 | Api key not found. | Api Key가 전달되지 않았을 경우 |
| ERR-AB-AGK-12 | 400 | Invalid api key type. | 유효하지 않은 API Key |